CopyHero

Get Store Publications

GET
/api/v1/stores/{store_id}/publications

Fetch all publications (sales channels) from Shopify store.

This is a proxy endpoint that forwards the request to Shopify and returns the publications directly to the frontend.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

store_id*Store Id

Response Body

Successful Response

application/json
  1. response
data*array<>

List of publications

count*Count

Total number of publications

Example Request
curl -X GET 'https://app.copyhero.app/api/v1/stores/0/publications'
Example Response
{  "data": [    {      "id": "string",      "name": "string"    }  ],  "count": 0}